local addonName, A = ...

-- Thanks to Enchantrix for the data

local COPPER_ORE = 2770
local TIN_ORE = 2771
local IRON_ORE = 2772
local MITHRIL_ORE = 3858
local THORIUM_ORE = 10620
local FEL_IRON_ORE = 23424
local ADAMANTITE_ORE = 23425
local COBALT_ORE = 36909
local SARONITE_ORE = 36912
local TITANIUM_ORE = 36910
local OBSIDIUM_ORE = 53038
local ELEMENTIUM_ORE = 52185
local PYRITE_ORE = 52183
local GHOST_IRON_ORE = 72092
local KYPARITE = 72093
local BLACK_TRILLIUM_ORE = 72094
local WHITE_TRILLIUM_ORE = 72103 

local ADAMANTITEPOWDER = 24243
local TITANIUMPOWDER = 46849
local VOLATILE_EARTH = 52327
local SPARKLING_SHARD = 90407 

local TIGERSEYE = 818
local MALACHITE = 774
local SHADOWGEM = 1210
local LESSERMOONSTONE = 1705
local MOSSAGATE = 1206
local CITRINE = 3864
local JADE = 1529
local AQUAMARINE = 7909
local STARRUBY = 7910
local AZEROTHIANDIAMOND = 12800
local BLUESAPPHIRE = 12361
local LARGEOPAL = 12799
local HUGEEMERALD = 12364
local BLOODGARNET = 23077
local FLAMESPESSARITE = 21929
local GOLDENDRAENITE = 23112
local DEEPPERIDOT = 23079
local AZUREMOONSTONE = 23117
local SHADOWDRAENITE = 23107
local LIVINGRUBY = 23436
local NOBLETOPAZ = 23439
local DAWNSTONE = 23440
local TALASITE = 23437
local STAROFELUNE = 23438
local NIGHTSEYE = 23441

-- new for WOTLK
local CHALCEDONY = 36923
local SHADOWCRYSTAL = 36926
local TWILIGHTOPAL = 36927
local HUGECITRINE = 36929
local BLOODSTONE = 36917
local SUNCRYSTAL = 36920
local DARKJADE = 36932
local FORESTEMERALD = 36933
local SCARLETRUBY = 36918
local MONARCHTOPAZ = 36930
local SKYSAPPHIRE = 36924
local AUTMNSGLOW = 36921

local MAJESTICZIRCON = 36925
local AMETRINE = 36931
local KINGSAMBER = 36922
local DREADSTONE = 36928
local CARDINALRUBY = 36919
local EYEOFZUL = 36934

-- new for Cataclysm
local CARNELIAN = 52177
local ZEPHYRITE = 52178
local ALICITE = 52179
local NIGHTSTONE = 52180
local HESSONITE = 52181
local JASPER = 52182

local INFERNORUBY = 52190
local OCEANSAPPHIRE = 52191
local DREAMEMERALD = 52192
local EMBERTOPAZ = 52193
local DEMONSEYE = 52194
local AMBERJEWEL = 52195

-- new for Mists of Pandaria
local PANDAREN_GARNET = 76136
local ALEXANDRITE = 76137
local LAPIS_LAZULI = 76133
local SUNSTONE = 76134
local TIGER_OPAL = 76130
local ROGUESTONE = 76135

local IMPERIAL_AMETHYST = 76141
local RIVERS_HEART = 76138
local SUNS_RADIANCE = 76142
local VERMILLION_ONYX = 76140
local WILD_JADE = 76139
local PRIMORDIAL_RUBY = 76131 

-- "Recipe" data
-- [itemID] = {
--     {reagentID, numberNeeded}
--     {reagentID, numberNeeded, minProduced, maxProduced}
--     {reagentID, numberNeeded, chanceToHaveOne}}
A.ProspectingData = {
	-- Vanilla
	[MALACHITE] = {
		{COPPER_ORE,5,0.5}},
	[TIGERSEYE] = {
		{COPPER_ORE,5,0.5}},
	[SHADOWGEM] = {
		{TIN_ORE,5,0.375},
		{COPPER_ORE,5,0.1}},
	[LESSERMOONSTONE] = {
		{TIN_ORE,5,0.375},
		{IRON_ORE,5,0.375}},
	[MOSSAGATE] = {
		{TIN_ORE,5,0.375}},
	[JADE] = {
		{IRON_ORE,5,0.375},
		{TIN_ORE,5,0.04}},
	[AQUAMARINE] = {
		{MITHRIL_ORE,5,0.375},
		{IRON_ORE,5,0.05},
		{TIN_ORE,5,0.04}},
	[CITRINE] = {
		{MITHRIL_ORE,5,0.375},
		{IRON_ORE,5,0.375},
		{TIN_ORE,5,0.04}},
	[STARRUBY] = {
		{MITHRIL_ORE,5,0.375},
		{THORIUM_ORE,5,0.15},
		{IRON_ORE,5,0.05}},
	[LARGEOPAL] = {
		{THORIUM_ORE,5,0.3},
		{MITHRIL_ORE,5,0.03}},
	[BLUESAPPHIRE] = {
		{THORIUM_ORE,5,0.3},
		{MITHRIL_ORE,5,0.03}},
	[AZEROTHIANDIAMOND] = {
		{THORIUM_ORE,5,0.30},
		{MITHRIL_ORE,5,0.03}},
	[HUGEEMERALD] = {
		{THORIUM_ORE,5,0.3},
		{MITHRIL_ORE,5,0.03}},

	-- BC
	[BLOODGARNET] = {
		{FEL_IRON_ORE,5,0.19},
		{ADAMANTITE_ORE,5,0.19}},
	[FLAMESPESSARITE] = {
		{FEL_IRON_ORE,5,0.19},
		{ADAMANTITE_ORE,5,0.19}},
	[GOLDENDRAENITE] = {
		{FEL_IRON_ORE,5,0.19},
		{ADAMANTITE_ORE,5,0.19}},
	[DEEPPERIDOT] = {
		{FEL_IRON_ORE,5,0.19},
		{ADAMANTITE_ORE,5,0.19}},
	[AZUREMOONSTONE] = {
		{FEL_IRON_ORE,5,0.19},
		{ADAMANTITE_ORE,5,0.19}},
	[SHADOWDRAENITE] = {
		{FEL_IRON_ORE,5,0.19},
		{ADAMANTITE_ORE,5,0.19}},

	[LIVINGRUBY] = {
		{ADAMANTITE_ORE,5,0.03},
		{FEL_IRON_ORE,5,0.011}},
	[NOBLETOPAZ] = {
		{ADAMANTITE_ORE,5,0.03},
		{FEL_IRON_ORE,5,0.011}},
	[DAWNSTONE] = {
		{ADAMANTITE_ORE,5,0.03},
		{FEL_IRON_ORE,5,0.011}},
	[TALASITE] = {
		{ADAMANTITE_ORE,5,0.03},
		{FEL_IRON_ORE,5,0.011}},
	[STAROFELUNE] = {
		{ADAMANTITE_ORE,5,0.03},
		{FEL_IRON_ORE,5,0.011}},
	[NIGHTSEYE] = {
		{ADAMANTITE_ORE,5,0.03},
		{FEL_IRON_ORE,5,0.011}},

	[ADAMANTITEPOWDER] = {
		{ADAMANTITE_ORE,5,1}},

	-- WotLK
	[CHALCEDONY] = {
		{COBALT_ORE,5,0.25},
		{TITANIUM_ORE,5,0.25},
		{SARONITE_ORE,5,0.2}},
	[HUGECITRINE] = {
		{COBALT_ORE,5,0.25},
		{TITANIUM_ORE,5,0.25},
		{SARONITE_ORE,5,0.2}},
	[BLOODSTONE] = {
		{COBALT_ORE,5,0.25},
		{TITANIUM_ORE,5,0.25},
		{SARONITE_ORE,5,0.2}},
	[SHADOWCRYSTAL] = {
		{COBALT_ORE,5,0.25},
		{TITANIUM_ORE,5,0.25},
		{SARONITE_ORE,5,0.2}},
	[SUNCRYSTAL] = {
		{COBALT_ORE,5,0.25},
		{TITANIUM_ORE,5,0.25},
		{SARONITE_ORE,5,0.2}},
	[DARKJADE] = {
		{COBALT_ORE,5,0.25},
		{TITANIUM_ORE,5,0.25},
		{SARONITE_ORE,5,0.2}},

	[TWILIGHTOPAL] = {
		{TITANIUM_ORE,5,0.04},
		{SARONITE_ORE,5,0.04},
		{COBALT_ORE,5,0.013}},
	[FORESTEMERALD] = {
		{TITANIUM_ORE,5,0.04},
		{SARONITE_ORE,5,0.04},
		{COBALT_ORE,5,0.013}},
	[SCARLETRUBY] = {
		{TITANIUM_ORE,5,0.04},
		{SARONITE_ORE,5,0.04},
		{COBALT_ORE,5,0.013}},
	[MONARCHTOPAZ] = {
		{TITANIUM_ORE,5,0.04},
		{SARONITE_ORE,5,0.04},
		{COBALT_ORE,5,0.013}},
	[SKYSAPPHIRE] = {
		{TITANIUM_ORE,5,0.04},
		{SARONITE_ORE,5,0.04},
		{COBALT_ORE,5,0.013}},
	[AUTMNSGLOW] = {
		{TITANIUM_ORE,5,0.04},
		{SARONITE_ORE,5,0.04},
		{COBALT_ORE,5,0.013}},

	[MAJESTICZIRCON] = {
		{TITANIUM_ORE,5,0.04}},
	[AMETRINE] = {
		{TITANIUM_ORE,5,0.04}},
	[KINGSAMBER] = {
		{TITANIUM_ORE,5,0.04}},
	[DREADSTONE] = {
		{TITANIUM_ORE,5,0.04}},
	[CARDINALRUBY] = {
		{TITANIUM_ORE,5,0.04}},
	[EYEOFZUL] = {
		{TITANIUM_ORE,5,0.04}},

	-- Cata
	[CARNELIAN] = {
		{OBSIDIUM_ORE,5,0.25},
		{ELEMENTIUM_ORE,5,0.18},
		{PYRITE_ORE,5,0.17}},
	[ZEPHYRITE] = {
		{OBSIDIUM_ORE,5,0.25},
		{ELEMENTIUM_ORE,5,0.18},
		{PYRITE_ORE,5,0.17}},
	[ALICITE] = {
		{OBSIDIUM_ORE,5,0.25},
		{ELEMENTIUM_ORE,5,0.18},
		{PYRITE_ORE,5,0.17}},
	[NIGHTSTONE] = {
		{OBSIDIUM_ORE,5,0.25},
		{ELEMENTIUM_ORE,5,0.18},
		{PYRITE_ORE,5,0.17}},
	[HESSONITE] = {
		{OBSIDIUM_ORE,5,0.25},
		{ELEMENTIUM_ORE,5,0.18},
		{PYRITE_ORE,5,0.17}},
	[JASPER] = {
		{OBSIDIUM_ORE,5,0.25},
		{ELEMENTIUM_ORE,5,0.18},
		{PYRITE_ORE,5,0.17}},

	[INFERNORUBY] = {
		{PYRITE_ORE,5,0.07},
		{ELEMENTIUM_ORE,5,0.04},
		{OBSIDIUM_ORE,5,0.013}},
	[OCEANSAPPHIRE] = {
		{PYRITE_ORE,5,0.07},
		{ELEMENTIUM_ORE,5,0.04},
		{OBSIDIUM_ORE,5,0.013}},
	[DREAMEMERALD] = {
		{PYRITE_ORE,5,0.07},
		{ELEMENTIUM_ORE,5,0.04},
		{OBSIDIUM_ORE,5,0.013}},
	[EMBERTOPAZ] = {
		{PYRITE_ORE,5,0.07},
		{ELEMENTIUM_ORE,5,0.04},
		{OBSIDIUM_ORE,5,0.013}},
	[DEMONSEYE] = {
		{PYRITE_ORE,5,0.07},
		{ELEMENTIUM_ORE,5,0.04},
		{OBSIDIUM_ORE,5,0.013}},
	[AMBERJEWEL] = {
		{PYRITE_ORE,5,0.07},
		{ELEMENTIUM_ORE,5,0.04},
		{OBSIDIUM_ORE,5,0.013}},

	[VOLATILE_EARTH] = {
		{PYRITE_ORE,5,2}},
		
	-- MoP
	[PANDAREN_GARNET] = {
		{GHOST_IRON_ORE,5,0.25},
		{KYPARITE,5,0.25},
		{BLACK_TRILLIUM_ORE,5,0.16},
		{WHITE_TRILLIUM_ORE,5,0.16}},
	[ALEXANDRITE] = {
		{GHOST_IRON_ORE,5,0.25},
		{KYPARITE,5,0.25},
		{BLACK_TRILLIUM_ORE,5,0.16},
		{WHITE_TRILLIUM_ORE,5,0.16}},
	[LAPIS_LAZULI] = {
		{GHOST_IRON_ORE,5,0.25},
		{KYPARITE,5,0.25},
		{BLACK_TRILLIUM_ORE,5,0.16},
		{WHITE_TRILLIUM_ORE,5,0.16}},
	[SUNSTONE] = {
		{GHOST_IRON_ORE,5,0.25},
		{KYPARITE,5,0.25},
		{BLACK_TRILLIUM_ORE,5,0.16},
		{WHITE_TRILLIUM_ORE,5,0.16}},
	[TIGER_OPAL] = {
		{GHOST_IRON_ORE,5,0.25},
		{KYPARITE,5,0.25},
		{BLACK_TRILLIUM_ORE,5,0.16},
		{WHITE_TRILLIUM_ORE,5,0.16}},
	[ROGUESTONE] = {
		{GHOST_IRON_ORE,5,0.25},
		{KYPARITE,5,0.25},
		{BLACK_TRILLIUM_ORE,5,0.16},
		{WHITE_TRILLIUM_ORE,5,0.16}},

	[IMPERIAL_AMETHYST] = {
		{GHOST_IRON_ORE,5,0.05},
		{KYPARITE,5,0.05},
		{BLACK_TRILLIUM_ORE,5,0.17},
		{WHITE_TRILLIUM_ORE,5,0.17}},
	[RIVERS_HEART] = {
		{GHOST_IRON_ORE,5,0.05},
		{KYPARITE,5,0.05},
		{BLACK_TRILLIUM_ORE,5,0.17},
		{WHITE_TRILLIUM_ORE,5,0.17}},
	[SUNS_RADIANCE] = {
		{GHOST_IRON_ORE,5,0.05},
		{KYPARITE,5,0.05},
		{BLACK_TRILLIUM_ORE,5,0.17},
		{WHITE_TRILLIUM_ORE,5,0.17}},
	[VERMILLION_ONYX] = {
		{GHOST_IRON_ORE,5,0.05},
		{KYPARITE,5,0.05},
		{BLACK_TRILLIUM_ORE,5,0.17},
		{WHITE_TRILLIUM_ORE,5,0.17}},
	[WILD_JADE] = {
		{GHOST_IRON_ORE,5,0.05},
		{KYPARITE,5,0.05},
		{BLACK_TRILLIUM_ORE,5,0.17},
		{WHITE_TRILLIUM_ORE,5,0.17}},
	[PRIMORDIAL_RUBY] = {
		{GHOST_IRON_ORE,5,0.05},
		{KYPARITE,5,0.05},
		{BLACK_TRILLIUM_ORE,5,0.17},
		{WHITE_TRILLIUM_ORE,5,0.17}},

	[SPARKLING_SHARD] = {
		{GHOST_IRON_ORE,5,0.8},
		{KYPARITE,5,1},
		{BLACK_TRILLIUM_ORE,5,1},
		{WHITE_TRILLIUM_ORE,5,1}}, 
}

-- "Tradeskill" data
local ProspectID = 31252
local ProspectName = GetSpellInfo(ProspectID)
local macroProspect = "/cast "..ProspectName.."\n/use %s"
local ProspectLink = GetSpellLink(ProspectID)

-- Add "Tradeskill" data to each "recipe"
for itemID,t in pairs(A.ProspectingData) do
	for i,v in ipairs(t) do
		v.macro = macroProspect
		v.spellID = ProspectID
		v.spellLink = ProspectLink
	end
end
